PR_CAPBSET_READ(2const)

NAME
PR_CAPBSET_READ - read the calling thread's capability bounding set

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_CAPBSET_READ, long cap);

DESCRIPTION
Return 1 if the capability specified in cap is in the calling thread's capability bounding set, or 0 if it is not.

The capability constants are defined in <linux/capability.h>.

The capability bounding set dictates whether the process can receive the capability through a file's permitted capability set on a subsequent call to execve(2).

RETURN VALUE
On success, this call returns the boolean value described above. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EINVAL
    cap does not specify a valid capability.

VERSIONS
A higher-level interface layered on top of this operation is provided in the libcap(3) library in the form of cap_get_bound(3).

STANDARDS
Linux.

HISTORY
Linux 2.6.25.

SEE ALSO
prctl(2), PR_CAPBSET_DROP(2const), libcap(3), cap_get_bound(3)